Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model
[Java] Interface BuildableProject

    org.gradle.plugins.ide.idea.model.Project
      org.gradle.tooling.model.BuildableProject

All Superinterfaces:
  Project

    public interface BuildableProject
    extends Project

Represents a project which has Gradle tasks associated with it.

Field Summary

Fields inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
__timeStamp, __timeStamp__239_neverHappen1311842562583, __timeStamp, __timeStamp__239_neverHappen1311842562304

Fields inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
__timeStamp, __timeStamp__239_neverHappen1311842562304

Method Summary
`DomainObjectSet` | `getTasks()` Returns the tasks of this project.

Methods inherited from class Project
configure, equals, getDefaultResourceName, hashCode, load, store

Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#__, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getXml(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#notifyAll()

Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#this, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#__, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super, org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getTasks

    public DomainObjectSet getTasks()

  Returns the tasks of this project.
  Returns:
    The tasks.

Groovy Documentation